Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: Package printer-driver-pnm2ppa broken  (Read 663 times)

Offline fams

  • User
  • Posts: 8
Package printer-driver-pnm2ppa broken
« on: 2021/09/04, 08:28:34 »
Error during update:

printer-driver-pnm2ppa (1.13-11) wird eingerichtet ...
/var/lib/dpkg/info/printer-driver-pnm2ppa.postinst: 1: tempfile: not found
dpkg: Fehler beim Bearbeiten des Paketes printer-driver-pnm2ppa (--configure):
 »installiertes printer-driver-pnm2ppa-Skript des Paketes post-installation«-Unterprozess gab den Fehlerwert 127
 zurück.


Reason seems the use of tempfile, which is deprecated and now removed in Bookworm.
No other packages are affected. Just purge the defective package.
See: https://www.mail-archive.com/debian-bugs-rc@lists.debian.org/msg597894.html

greetings
fams

Offline Balou

  • User
  • Posts: 27
Re: Package printer-driver-pnm2ppa broken
« Reply #1 on: 2021/09/04, 08:58:39 »
Hi

Kann ich bestätigen. DIe Fehlermeldung habe ich so verstanden das ein Temp File fehlt bwz. nicht gefunden wird.
Daher habe ich mal in die Datei aus der Fehlermeldung geschaut
Code: [Select]
/var/lib/dpkg/info/printer-driver-pnm2ppa.postinst.

In Zeile 34 haben ich den Eintrag auf
Code: [Select]
TEMPFILE="tempfile" geändert. Eigentlich nur weil die Variabeln am Anfang auch so geschrieben waren. Ja, ich gebe zu ich habe von Scripten nur Laien Wissen.

Mutig geändert. Noch mal ein update/upgrade hinterher. Und siehe da. Läuft jedenfalls ohne Fehlermeldung durch

Habe ich jetzt ohne große Ahnung nach dem Motto ein blindes Huhn findet auch mal ein Korn ein Glückstreffer gelandet.


Hm, nach Bugreport wohl eher nicht. Aber wenn meine Lösung falsch ist weiß ich wenigstens jetzt wie es nicht geht.

Balou
 


« Last Edit: 2021/09/04, 10:31:00 by Balou »

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 2.171
    • Land of the Buckeye
Re: Package printer-driver-pnm2ppa broken
« Reply #2 on: 2021/09/04, 10:36:56 »
Fix:

Code: [Select]
dpkg -r printer-driver-pnm2ppa
dpkg --configure -a
System76 Oryx Pro, Intel Core i7-11800H, SSD 970 EVO Plus;  Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO

Offline Camelot

  • User
  • Posts: 54
Re: Package printer-driver-pnm2ppa broken
« Reply #3 on: 2021/09/04, 11:50:55 »
Trotzdem kommt mir als bescheidender Bash-Scripter der Code eigenartig vor:
Code: [Select]
if [ -f ${CONFSRC} ] ; then
db_get pnm2ppa/printer_model
TEMPFILE=`tempfile`
# Replace everything following "version " w/model
sed -e "s,^\(version \).*$,\1 ${RET}," ${CONFSRC} > \
${TEMPFILE}
install -m644 ${TEMPFILE} ${CONFFILE}
rm ${TEMPFILE}
fi
Es soll mit TEMPFILE=`tempfile` auf eine eine temporäre Datei verwiesen werden (wo?), für diese Zwecke gibt es aber mktemp:

Code: [Select]
if [ -f ${CONFSRC} ] ; then
db_get pnm2ppa/printer_model
TEMPFILE=$(mktemp)
# Replace everything following "version " w/model
sed -e "s,^\(version \).*$,\1 ${RET}," ${CONFSRC} > \
${TEMPFILE}
install -m644 ${TEMPFILE} ${CONFFILE}
rm ${TEMPFILE}
fi
Ich kann mich natürlich auch irren, ein Bug ist es trotzdem…

Offline fams

  • User
  • Posts: 8
Re: Package printer-driver-pnm2ppa broken
« Reply #4 on: 2021/09/04, 15:10:07 »
mit
Code: [Select]
TEMPFILE=`mktemp`wäre es korrekt.

Mit den "Backticks" (nicht normale ticks!) wird mktemp (oder alt: tempfile) aufgerufen und der Rückgabewert in TEMPFILE gespeichert.
Ist schon generell korrekt so.

Offline GoinEasy9

  • User
  • Posts: 508
Re: Package printer-driver-pnm2ppa broken
« Reply #5 on: 2021/09/04, 17:11:56 »
Thanks Dibl

I came across this error on both my KDE and LXqt installs. Your fix worked for both. :-)

Tom
Linux Counter number 348347

Offline duroni

  • Newbie
  • Posts: 1
Re: Package printer-driver-pnm2ppa broken
« Reply #6 on: 2021/09/05, 16:11:20 »
Thanks Dibl

I had this problem with the XFCE desktop. Your fix worked fine. :-)

Dieter

Offline harley-peter

  • User
  • Posts: 895
Re: Package printer-driver-pnm2ppa broken
« Reply #7 on: 2021/09/06, 14:30:06 »
@dibl:
If I try to remove the package I get an error:
Code: [Select]
dpkg -r printer-driver-pnm2ppa
dpkg: Abhängigkeitsprobleme verhindern Entfernen von printer-driver-pnm2ppa:
 pnm2ppa hängt ab von printer-driver-pnm2ppa.

dpkg: Fehler beim Bearbeiten des Paketes printer-driver-pnm2ppa (--remove):
 Abhängigkeitsprobleme - wird nicht entfernt
Fehler traten auf beim Bearbeiten von:
 printer-driver-pnm2ppa

Offline hendrikL

  • Global Moderator
  • User
  • *****
  • Gravatar
  • Posts: 547
Re: Package printer-driver-pnm2ppa broken
« Reply #8 on: 2021/09/06, 15:28:57 »
Why using dpkg and not "apt remove <package>"? Or apt purge!

So if you do not have a hp deskjet printer, see 'apt show printer-driver-pnm2ppa' for information, remove it.

Code: [Select]
LANG=C sudo apt purge printer-driver-pnm2ppa
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
The following packages will be REMOVED:
  printer-driver-pnm2ppa*
The following held packages will be changed:
  printer-driver-pnm2ppa
0 upgraded, 0 newly installed, 1 to remove and 1 not upgraded.
After this operation, 1.923 kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 671104 files and directories currently installed.)
Removing printer-driver-pnm2ppa (1.13-10.1~siduction.1) ...
Processing triggers for man-db (2.9.4-2) ...
(Reading database ... 671035 files and directories currently installed.)
Purging configuration files for printer-driver-pnm2ppa (1.13-10.1~siduction.1) ...

Offline hendrikL

  • Global Moderator
  • User
  • *****
  • Gravatar
  • Posts: 547
Re: Package printer-driver-pnm2ppa broken
« Reply #9 on: 2021/09/06, 15:44:17 »
And if you wait a bit, a new printer-driver-pnm2ppa (1.13-12) is in incoming and will be  there with the next mirror sync.(I hope so)

Code: [Select]
LANG=C sudo apt install printer-driver-pnm2ppa
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Suggested packages:
  magicfilter | apsfilter
The following NEW packages will be installed:
  printer-driver-pnm2ppa
0 upgraded, 1 newly installed, 0 to remove and 74 not upgraded.
Need to get 223 kB of archives.
After this operation, 1.982 kB of additional disk space will be used.
Get:1 http://incoming.debian.org/debian-buildd buildd-unstable/main amd64 printer-driver-pnm2ppa amd64 1.13-12 [223 kB]
Fetched 223 kB in 1s (236 kB/s)
Retrieving bug reports... Done
Parsing Found/Fixed information... Done
Preconfiguring packages ...
Selecting previously unselected package printer-driver-pnm2ppa.
(Reading database ... 671039 files and directories currently installed.)
Preparing to unpack .../printer-driver-pnm2ppa_1.13-12_amd64.deb ...
Unpacking printer-driver-pnm2ppa (1.13-12) ...
Setting up printer-driver-pnm2ppa (1.13-12) ...
Processing triggers for siduction-dynamic-dms (2016.01.31) ...
Processing triggers for man-db (2.9.4-2) ...


Offline harley-peter

  • User
  • Posts: 895
Re: Package printer-driver-pnm2ppa broken
« Reply #10 on: 2021/09/06, 15:52:44 »
@hendrikL:
Thank's for the explanation, I removed the package with apt.